com.orsoncharts.interaction

## Class StandardKeyedValues3DItemSelection

- java.lang.Object
- - com.orsoncharts.interaction.StandardKeyedValues3DItemSelection

- All Implemented Interfaces:
    KeyedValues3DItemSelection, java.io.Serializable

      public class StandardKeyedValues3DItemSelection
      extends java.lang.Object
      implements KeyedValues3DItemSelection, java.io.Serializable

  An object that tracks selected items from a `KeyedValues3D` dataset.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardKeyedValues3DItemSelection()` Creates a new item selection instance, initially with no selections.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(KeyedValues3DItemKey itemKey)` Adds an item to the selection, returning `true` if the item is added and `false` if the item already existed in the selection.
    `boolean` | `addAll(java.util.Collection<? extends KeyedValues3DItemKey> keys)` Adds a collection of items to the selection, returning `true` if the selection is changed, and `false` if no changes were made.
    `void` | `clear()` Clears the item selection (that is, removes all items contained in the selection).
    `boolean` | `equals(java.lang.Object obj)`
    `boolean` | `isSelected(KeyedValues3DItemKey itemKey)` Returns `true` if the specified item is in the selection, and `false` otherwise.
    `boolean` | `remove(KeyedValues3DItemKey itemKey)` Removes an item from the selection returning `true` if the item was removed and `false` if it did not exist within the selection.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardKeyedValues3DItemSelection

          public StandardKeyedValues3DItemSelection()

      Creates a new item selection instance, initially with no selections.

  - ### Method Detail

    - #### add

          public boolean add(KeyedValues3DItemKey itemKey)

      Adds an item to the selection, returning `true` if the item is added and `false` if the item already existed in the selection.
      Parameters:
        `itemKey` - the item key (`null` not permitted).
      Returns:
        A boolean.

    - #### addAll

          public boolean addAll(java.util.Collection<? extends KeyedValues3DItemKey> keys)

      Adds a collection of items to the selection, returning `true` if the selection is changed, and `false` if no changes were made.
      Parameters:
        `keys` - the keys to add (`null` not permitted).
      Returns:
        A boolean.

    - #### remove

          public boolean remove(KeyedValues3DItemKey itemKey)

      Removes an item from the selection returning `true` if the item was removed and `false` if it did not exist within the selection.
      Parameters:
        `itemKey` - the item key (`null` not permitted).
      Returns:
        A boolean.

    - #### isSelected

          public boolean isSelected(KeyedValues3DItemKey itemKey)

      Returns `true` if the specified item is in the selection, and `false` otherwise.
      Specified by:
        `isSelected` in interface `KeyedValues3DItemSelection`
      Parameters:
        `itemKey` - the item key (`null` not permitted).
      Returns:
        A boolean.

    - #### clear

          public void clear()

      Clears the item selection (that is, removes all items contained in the selection).

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`